Skip to main content
POST
/
api
/
public
/
community
/
board
/
threads
Create Thread
curl --request POST \
  --url https://spaces.nexudus.com/api/public/community/board/threads \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "GroupId": 123,
  "Title": "<string>",
  "Content": "<string>"
}
'

Create Thread

Creates a new thread in a discussion board group. The authenticated customer becomes the thread author.

Authentication

Requires a valid customer bearer token.

Request Body

GroupId
number
required
The discussion group to post in.
Title
string
required
Thread title.
Content
string
required
Thread body content.
Tags
string[]
Optional array of tags to apply.

Response

Returns a 200 OK on success.

Examples

Create a thread

POST /api/public/community/board/threads
Authorization: Bearer {token}
Content-Type: application/json

{
  "GroupId": 1,
  "Title": "Lunch recommendations nearby?",
  "Content": "Looking for good lunch spots within walking distance.",
  "Tags": ["food", "local"]
}

TypeScript Integration

import endpoints from '@/api/endpoints'

await httpClient.post(endpoints.community.board.threads.create, threadData)